package cn.dg32z.lon.checks.util.exempts;

import cn.dg32z.lon.checks.util.exempts.types.ExemptType;
import cn.dg32z.lon.player.PlayerData;
import java.util.function.Function;

/* loaded from: cn_dg32z_lon_checks_util_exempts.jar:cn/dg32z/lon/checks/util/exempts/ExemptProcessor.class */
public final class ExemptProcessor {
    final PlayerData data;

    public ExemptProcessor(PlayerData data) {
        this.data = data;
    }

    public boolean isExempt(ExemptType exemptType) {
        if (exemptType == null || exemptType.getException() == null) {
            return false;
        }
        return ((Boolean) exemptType.getException().apply(this.data)).booleanValue();
    }

    public boolean isExempt(ExemptType... exemptTypes) {
        for (ExemptType exemptType : exemptTypes) {
            if (isExempt(exemptType)) {
                return true;
            }
        }
        return false;
    }

    public boolean isExempt(Function<PlayerData, Boolean> exception) {
        if (exception == null) {
            throw new IllegalArgumentException("Exception function cannot be null");
        }
        return exception.apply(this.data).booleanValue();
    }
}
